Bug 1075662 - Review Request: textcat - Written language identification
Summary: Review Request: textcat - Written language identification
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christian Dersch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-12 14:30 UTC by Björn 'besser82' Esser
Modified: 2014-04-14 22:39 UTC (History)
1 user (show)

Fixed In Version: textcat-1.10-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-04-10 19:20:14 UTC
Type: ---
lupinix.fedora: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Björn 'besser82' Esser 2014-03-12 14:30:56 UTC
Description:

  TextCat is an implementation of the text categorization algorithm
  presented in Cavnar, W. B. and J. M. Trenkle, "N-Gram-Based Text
  Categorization".  TextCat uses this the technique to implement a
  written language identification.  At the moment, it knows about 69
  natural languages (counting Esperanto as a natural language).


Koji Builds:

  el5:  https://koji.fedoraproject.org/koji/taskinfo?taskID=6625898
  el6:  https://koji.fedoraproject.org/koji/taskinfo?taskID=6625900
  el7:  https://koji.fedoraproject.org/koji/taskinfo?taskID=6625902
  F19:  https://koji.fedoraproject.org/koji/taskinfo?taskID=6625904
  F20:  https://koji.fedoraproject.org/koji/taskinfo?taskID=6625909
  Frh:  https://koji.fedoraproject.org/koji/taskinfo?taskID=6625911


Issues:

  fedora-review shows no obvious issues.  rpmlint reports some false positives.


FAS-User:

  besser82


Urls:

  Spec URL: http://besser82.fedorapeople.org/review/textcat.spec
  SRPM URL: http://besser82.fedorapeople.org/review/textcat-1.10-1.fc20.src.rpm


Thanks for review in advance!

Comment 1 Christian Dersch 2014-03-12 14:59:09 UTC
Seems to be fine :)

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 122880 bytes in 5 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: textcat-1.10-1.fc21.noarch.rpm
          textcat-1.10-1.fc21.src.rpm
textcat.noarch: W: spelling-error %description -l en_US Trenkle -> Tinkle
textcat.noarch: W: no-manual-page-for-binary textcat
textcat.src: W: spelling-error %description -l en_US Trenkle -> Tinkle
2 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint textcat
textcat.noarch: W: spelling-error %description -l en_US Trenkle -> Tinkle
textcat.noarch: W: no-manual-page-for-binary textcat
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
textcat (rpmlib, GLIBC filtered):
    /usr/bin/perl
    perl(Benchmark)
    perl(Getopt::Std)
    perl(strict)
    perl(vars)



Provides
--------
textcat:
    textcat



Source checksums
----------------
http://www.let.rug.nl/~vannoord/TextCat/text_cat.tgz :
  CHECKSUM(SHA256) this package     : bfb042acdb481b3dc3165b5dd105a57679d912c5225ebd7c77b6b0e184b8cbfa
  CHECKSUM(SHA256) upstream package : bfb042acdb481b3dc3165b5dd105a57679d912c5225ebd7c77b6b0e184b8cbfa
http://www.let.rug.nl/~vannoord/TextCat/textcat.pdf :
  CHECKSUM(SHA256) this package     : 58fa304c9c67b53bf13c2d1558ed722648975559e1db54d9e4de5564b38f5ddc
  CHECKSUM(SHA256) upstream package : 58fa304c9c67b53bf13c2d1558ed722648975559e1db54d9e4de5564b38f5ddc


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/bin/fedora-review --mock-config fedora-rawhide-x86_64 -b 1075662
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 2 Björn 'besser82' Esser 2014-03-12 15:03:55 UTC
Thanks for the quick review, Christian!

#####

New Package SCM Request
=======================
Package Name: textcat
Short Description: Written language identification
Owners: besser82
Branches: el5 el6 epel7 f19 f20
InitialCC: ml-sig

Comment 3 Gwyn Ciesla 2014-03-12 17:29:40 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2014-03-12 17:52:07 UTC
textcat-1.10-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/textcat-1.10-1.el5

Comment 5 Fedora Update System 2014-03-12 17:52:37 UTC
textcat-1.10-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/textcat-1.10-1.el6

Comment 6 Fedora Update System 2014-03-12 17:55:24 UTC
textcat-1.10-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/textcat-1.10-1.fc19

Comment 7 Fedora Update System 2014-03-12 17:55:47 UTC
textcat-1.10-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/textcat-1.10-1.fc20

Comment 8 Fedora Update System 2014-03-15 15:04:44 UTC
textcat-1.10-1.fc20 has been pushed to the Fedora 20 testing repository.

Comment 9 Fedora Update System 2014-04-10 19:20:14 UTC
textcat-1.10-1.el5 has been pushed to the Fedora EPEL 5 stable repository.

Comment 10 Fedora Update System 2014-04-10 19:20:57 UTC
textcat-1.10-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 11 Fedora Update System 2014-04-14 22:37:40 UTC
textcat-1.10-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 12 Fedora Update System 2014-04-14 22:39:31 UTC
textcat-1.10-1.fc19 has been pushed to the Fedora 19 stable repository.


Note You need to log in before you can comment on or make changes to this bug.